2050848 - sp_downgrade to 15.0 from 15.7 fails with error 19985 - SAP ASE | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2050848 - sp_downgrade to 15.0 from 15.7 fails with error 19985 - SAP ASE

Symptom

  • Downgrading ASE 15.7 SP1xx to 15.0.3
  • Running sp_downgrade fails with error 19985:

sp_downgrade 'prepare', @toversion='1503'
go

....
Checking datatypes in preparation for downgrade
Msg 19985, Level 16, State 1:
Server 'test', Procedure 'sp_downgrade', Line 487:
ERROR: Cannot downgrade to '15.0.3.0' server, which does not support bigdatetime and bigtime datatypes.
....
sp_downgrade 'prepare' failed.
Re-run sp_downgrade after addressing the items listed above.

Read more...

Environment

  • SAP Adaptive Server Enterprise 15.7 (ASE) SP1xx
  • SAP Adaptive Server Enterprise 15.0.3 (ASE)

Product

SAP Adaptive Server Enterprise 15.7 ; Sybase Adaptive Server Enterprise 15.0

Keywords

sp_downgrade, downgrade , ASE , sybase, "Msg 19985" , "message 19985" , "msg. 19985" , "Cannot downgrade to '15.0.3.0' server", "does not support bigdatetime and bigtime datatypes" , bigdatetime , bigtime , KBA , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.